USE [COWS]
GO

OPEN SYMMETRIC KEY FS@K3y 
DECRYPTION BY CERTIFICATE S3cFS@CustInf0;

UPDATE dbo.AD_EVENT WITH (TABLOCKX)
SET CUST_NME_NEW = CASE WHEN (LEN(CUST_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_NME,'')))) ELSE NULL END,
CUST_CNTCT_NME_NEW = CASE WHEN (LEN(CUST_CNTCT_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_NME,'')))) ELSE NULL END,
CUST_CNTCT_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PHN_NBR,'')))) ELSE NULL END,
CUST_EMAIL_ADR_NEW = CASE WHEN (LEN(CUST_EMAIL_ADR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_EMAIL_ADR,'')))) ELSE NULL END,
CUST_CNTCT_CELL_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_CELL_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_CELL_PHN_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_PIN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_PIN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_PIN_NBR,'')))) ELSE NULL END


UPDATE dbo.MPLS_EVENT WITH (TABLOCKX)
SET CUST_NME_NEW = CASE WHEN (LEN(CUST_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_NME,'')))) ELSE NULL END,
CUST_CNTCT_NME_NEW = CASE WHEN (LEN(CUST_CNTCT_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_NME,'')))) ELSE NULL END,
CUST_CNTCT_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PHN_NBR,'')))) ELSE NULL END,
CUST_EMAIL_ADR_NEW = CASE WHEN (LEN(CUST_EMAIL_ADR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_EMAIL_ADR,'')))) ELSE NULL END,
CUST_CNTCT_CELL_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_CELL_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_CELL_PHN_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_PIN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_PIN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_PIN_NBR,'')))) ELSE NULL END

UPDATE dbo.NGVN_EVENT WITH (TABLOCKX)
SET CUST_NME_NEW = CASE WHEN (LEN(CUST_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_NME,'')))) ELSE NULL END,
CUST_CNTCT_NME_NEW = CASE WHEN (LEN(CUST_CNTCT_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_NME,'')))) ELSE NULL END,
CUST_CNTCT_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PHN_NBR,'')))) ELSE NULL END,
CUST_EMAIL_ADR_NEW = CASE WHEN (LEN(CUST_EMAIL_ADR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_EMAIL_ADR,'')))) ELSE NULL END,
CUST_CNTCT_CELL_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_CELL_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_CELL_PHN_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_PIN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_PIN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_PIN_NBR,'')))) ELSE NULL END

UPDATE dbo.SPLK_EVENT WITH (TABLOCKX)
SET CUST_NME_NEW = CASE WHEN (LEN(CUST_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_NME,'')))) ELSE NULL END,
CUST_CNTCT_NME_NEW = CASE WHEN (LEN(CUST_CNTCT_NME) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_NME,'')))) ELSE NULL END,
CUST_CNTCT_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PHN_NBR,'')))) ELSE NULL END,
CUST_EMAIL_ADR_NEW = CASE WHEN (LEN(CUST_EMAIL_ADR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_EMAIL_ADR,'')))) ELSE NULL END,
CUST_CNTCT_CELL_PHN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_CELL_PHN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_CELL_PHN_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_NBR,'')))) ELSE NULL END,
CUST_CNTCT_PGR_PIN_NBR_NEW = CASE WHEN (LEN(CUST_CNTCT_PGR_PIN_NBR) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(CUST_CNTCT_PGR_PIN_NBR,'')))) ELSE NULL END


--USE [COWS]
--GO

--OPEN SYMMETRIC KEY FS@K3y
--    DECRYPTION BY CERTIFICATE S3cFS@CustInf0;
--GO

--select dbo.decryptBinaryData(CUST_NME_NEW),
--dbo.decryptBinaryData(CUST_CNTCT_NME_NEW),
--dbo.decryptBinaryData(CUST_CNTCT_PHN_NBR_NEW),
--dbo.decryptBinaryData(CUST_EMAIL_ADR_NEW),
--dbo.decryptBinaryData(CUST_CNTCT_CELL_PHN_NBR_NEW),
--dbo.decryptBinaryData(CUST_CNTCT_PGR_NBR_NEW),
--dbo.decryptBinaryData(CUST_CNTCT_PGR_PIN_NBR_NEW),* 
--from dbo.ad_event with (nolock)
--order by event_id desc